{
  description = "NAS on NixOS – root on ZFS";

  inputs = {
    # stabiler Release-Zweig
    nixpkgs.url        = "github:NixOS/nixpkgs/nixos-25.05";
    # optional: Hardware-Tuning (z. B. SSD-Defaults)
    nixos-hardware.url = "github:NixOS/nixos-hardware";
    disko.url          = "github:nix-community/disko";
    disko.inputs.nixpkgs.follows = "nixpkgs";   # hält beide auf demselben commit
  };

  outputs = { self, nixpkgs, disko, nixos-hardware, ... }@inputs:
  let
    system = "x86_64-linux";
  in {
    nixosConfigurations.nix-nas = nixpkgs.lib.nixosSystem {
      inherit system;                     # ← Pflichtfeld
      specialArgs.disks = [ "/dev/nvme0n1" ];
      modules = [
        ./disko.nix                       # disko partitionierung
        ./hardware/hardware-configuration.nix                        # generiertes hardware-configuration.nix
        ./configuration.nix               # deine eigentliche Config
        disko.nixosModules.disko
        nixos-hardware.nixosModules.common-pc-ssd
      ];
    };
  };
}
